Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	GPS service daemon
Name:		gpsd
Version:	2.37
Release:	1
Epoch:		1
License:	GNU/GPL
URL:		http://gpsd.berlios.de/	
Group:		System/Daemons
Source0:	%{name}-%{version}.tar.gz
Source1:        xgps.desktop
Source2:        xgpsspeed.desktop
Source3:        gpsd-logo.png
Patch:          install-gpsd_config.h.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXaw-devel
BuildRequires:  libXt-devel
BuildRequires:  glibc-devel
BuildRequires:  ncurses-devel xmlto dbus-devel dbus-glib-devel python-devel
Obsoletes:	gpsd-python

%description
gpsd is a service daemon that mediates access to a GPS sensor
connected to the host computer by serial or USB interface, making its
data on the location/course/velocity of the sensor available to be
queried on TCP port 2947 of the host computer.  With gpsd, multiple
GPS client applications (such as navigational and wardriving software)
can share access to a GPS without contention or loss of data.  Also,
gpsd responds to queries with a format that is substantially easier to
parse than NMEA 0183.  

%package devel
Summary:        Client libraries in C and Python for talking to a running gpsd or GPS
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description devel
This package provides C header files for the gpsd shared libraries
that manage access to a GPS for applications; also Python modules.

%package        clients
Summary:        Clients for gpsd
Group:          Applications/System

%description clients
xgps is a simple test client for gpsd with an X interface. It displays
current GPS position/time/velocity information and (for GPSes that
support the feature) the locations of accessible satellites.

xgpsspeed is a speedometer that uses position information from the GPS.
It accepts an -h option and optional argument as for gps, or a -v option
to dump the package version and exit. Additionally, it accepts -rv
(reverse video) and -nc (needle color) options.

cgps resembles xgps, but without the pictorial satellite display.  It
can run on a serial terminal or terminal emulator.

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
#%patch -p1

%build
%configure --enable-dbus --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# additional gpsd files
mkdir -p %{buildroot}%{_libdir}/X11/app-defaults/
cp -p xgps.ad %{buildroot}%{_libdir}/X11/app-defaults/xgps
cp -p xgpsspeed.ad %{buildroot}%{_libdir}/X11/app-defaults/xgpsspeed
mkdir -p %{buildroot}%{_sysconfdir}/hotplug.d/usb
cp -p gpsd.hotplug gpsd.usermap %{buildroot}%{_sysconfdir}/hotplug.d/usb/

#Install the .desktop files
desktop-file-install --vendor ccux                        \
    --dir %{buildroot}%{_datadir}/applications              \
    %{SOURCE1}
desktop-file-install --vendor ccux                        \
    --dir %{buildroot}%{_datadir}/applications              \
    %{SOURCE2}

#Install logo icon for .desktop files
mkdir -p %{buildroot}%{_datadir}/gpsd
cp -p %{SOURCE3} %{buildroot}%{_datadir}/gpsd/gpsd-logo.png


%files
%defattr(-,root,root,-)
%doc README INSTALL COPYING
%{_sbindir}/gpsd
%{_bindir}/gpsprof
%{_bindir}/sirfmon
%{_bindir}/gpsctl
%{_libdir}/libgps.so.*
%{_mandir}/man8/gpsd.8*
%{_mandir}/man1/gpsprof.1*
%{_mandir}/man1/sirfmon.1*
%{_mandir}/man1/gpsctl.1*
%{_sysconfdir}/hotplug.d/usb/gpsd.hotplug
%{_sysconfdir}/hotplug.d/usb/gpsd.usermap
%{python_sitelib}/gps.py*

%files devel
%defattr(-,root,root,-)
%doc TODO
%{_bindir}/gpsfake
%{_bindir}/rtcmdecode
%{_bindir}/gpsflash
%{python_sitelib}/gpsfake*
%{python_sitelib}/gpspacket.so
%{_libdir}/libgps.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gps.h
%{_includedir}/libgpsmm.h
%{_includedir}/gpsd.h
#%{_includedir}/gpsd_config.h
%{_mandir}/man1/gpsfake.1*
%{_mandir}/man1/rtcmdecode.1*
%{_mandir}/man1/gpsflash.1*
%{_mandir}/man3/libgps.3*
%{_mandir}/man3/libgpsmm.3*
%{_mandir}/man3/libgpsd.3*
%{_mandir}/man5/rtcm-104.5*
%{_mandir}/man5/srec.5*

%files clients
%defattr(-,root,root,-)
%{_bindir}/xgps
%{_bindir}/xgpsspeed
%{_bindir}/cgps
%{_bindir}/gpspipe
%{_bindir}/gpxlogger
%{_bindir}/cgpxlogger
%{_bindir}/gpscat
%{_mandir}/man1/gps.1*
%{_mandir}/man1/gpspipe.1*
%{_mandir}/man1/xgps.1*
%{_mandir}/man1/xgpsspeed.1*
%{_mandir}/man1/cgps.1*
%{_mandir}/man1/gpscat.1*
%{_mandir}/man1/cgpxlogger.1*
%{_libdir}/X11/app-defaults/xgps
%{_libdir}/X11/app-defaults/xgpsspeed
%{_datadir}/applications/*.desktop
%dir %{_datadir}/gpsd
%{_datadir}/gpsd/gpsd-logo.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Feb 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:2.37-1
- version update
* Wed Jan 09 2008 Christian Metzen <metzench@ccux-linux.de> 1:2.36-2
- rebuild for missing packages and spec file 
* Tue Jan 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:2.36-1
- version update
* Thu Dec 27 2007 Christian Metzen <metzench@ccux-linux.de> 1:2.34-1
- back to 2.34, builds against dbus
- added dbus support, removed python package, added seperate clients package
* Tue Dec 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.35-1
- Initial Release
